> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everflow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook

Update an existing webhook configuration by its ID. All fields in the request body will overwrite the current values.


## OpenAPI

````yaml openapi/webhooks.yaml put /networks/webhooks/{webhookId}
openapi: 3.0.3
info:
  title: Everflow Network API - Webhooks
  description: Endpoints for managing webhook configurations in the Everflow network.
  version: 1.0.0
servers:
  - description: Production Server
    url: https://api.eflow.team/v1
security: []
tags:
  - name: Webhooks
    description: Endpoints for managing webhooks.
paths:
  /networks/webhooks/{webhookId}:
    put:
      tags:
        - Webhooks
      summary: Update Webhook
      parameters:
        - in: path
          name: webhookId
          required: true
          schema:
            type: integer
          description: The webhook ID.
      requestBody:
        required: true
        content:
          application/json:
            example:
              webhook_types:
                - affiliate_updated
              http_method: post
              webhook_url: https://example.com/webhook
              description: Updated webhook
              status: active
            schema:
              type: object
              required:
                - webhook_types
                - http_method
                - webhook_url
                - status
                - description
              properties:
                webhook_types:
                  type: array
                  items:
                    type: string
                    enum:
                      - advertiser_created
                      - advertiser_signed_up
                      - advertiser_updated
                      - affiliate_approved_for_offer
                      - affiliate_created
                      - affiliate_signed_up
                      - affiliate_signup_verdict
                      - affiliate_updated
                      - offer_created
                      - offer_updated
                      - traffic_optimized
                  description: >
                    Event types that should trigger this webhook. You can
                    specify more than one.
                http_method:
                  type: string
                  enum:
                    - get
                    - post
                  description: HTTP method to use when sending the webhook.
                webhook_url:
                  type: string
                  description: The webhook endpoint URL.
                description:
                  type: string
                  description: Name or description for the webhook.
                status:
                  type: string
                  enum:
                    - active
                    - inactive
                  description: Webhook status.
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Webhook'
      security:
        - API Key: []
components:
  schemas:
    Webhook:
      type: object
      description: A webhook configuration.
      properties:
        network_webhook_id:
          type: integer
          example: 1
          description: Unique webhook ID.
        network_id:
          type: integer
          example: 1
          description: Network ID.
        webhook_types:
          type: array
          example:
            - affiliate_updated
          items:
            type: string
            enum:
              - advertiser_created
              - advertiser_signed_up
              - advertiser_updated
              - affiliate_approved_for_offer
              - affiliate_created
              - affiliate_signed_up
              - affiliate_signup_verdict
              - affiliate_updated
              - offer_created
              - offer_updated
              - traffic_optimized
          description: Event types that trigger this webhook.
        http_method:
          type: string
          example: post
          enum:
            - get
            - post
          description: HTTP method used when sending the webhook.
        webhook_url:
          type: string
          example: https://example.com/webhook
          description: The webhook endpoint URL.
        description:
          type: string
          example: My webhook
          description: Optional description for the webhook.
        status:
          type: string
          example: active
          enum:
            - active
            - inactive
          description: Webhook status.
        time_created:
          type: integer
          example: 1774726693
          description: Unix timestamp of creation.
        time_saved:
          type: integer
          example: 1774726693
          description: Unix timestamp of last update.
  securitySchemes:
    API Key:
      description: The Everflow API key generated from the Control Center > Security.
      in: header
      name: X-Eflow-Api-Key
      type: apiKey

````